// Switch mode (light-dark)
let darkswitch = document.querySelector(".header__img--moon");
let body = document.querySelector("body");

darkswitch.onclick = function () {
  body.classList.toggle("dark");
};

// Modal
const segundoplano = document.getElementById("modal__background");
const closeModalButton = document.querySelector("[data-close-button]");

// Segundo plano ao abrir o modal
segundoplano.addEventListener("click", () => {
  const modal = document.querySelectorAll(".modal.active");
  modal.forEach((modal) => {
    closeModal(modal);
  });
});

// Botão para fechar o modal
closeModalButton.addEventListener("click", () => {
  const modal = closeModalButton.closest(".modal");
  closeModal(modal);
});

// Função abrir modal
function openModal(modal) {
  if (modal == null) return;
  modal.classList.add("active");
  segundoplano.classList.add("active");
}

// Função fechar modal
function closeModal(modal) {
  if (modal == null) return;
  modal.classList.remove("active");
  segundoplano.classList.remove("active");
}

// Ativar modal ao carregar a pág.
window.addEventListener("load", () => {
  const modal = document.getElementById("modal1");
  setTimeout(() => {
    openModal(modal);
  }, 1000);
});
